<%@ LANGUAGE = "JScript" %>

<% 
	//Force Authentication if the LOGON_USER Server
	//Variable is blank by sending the Response.Status
	//of 401 Access Denied.
	
	//Finish the Page by issuing a Response.End so that a user
	//cannot cancel through the dialog box.

	if (Request.ServerVariables("LOGON_USER") == "") 
	{
		Response.Status = "401 Access Denied";
		Response.End();
	}

	var debug = (Request.QueryString("debug") == "yes")
%>

<%	
	var title = "";
	var banner = "";
	var message = "";
	var diag = "";

	if (Request.Form("username").Count == 0 || Request.Form("username") == "")
	{
		title = "ERROR!";
		banner = "No Username Entered";
		message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
		"You didn't provide a valid username.  Please go back and enter a username to continue.</TD></TR></TABLE>";
	} 
	else if (Request.Form("regcode").Count == 0 || Request.Form("regcode") == "")
	{
		title = "ERROR!";
		banner = "No Registration Code Entered";
		message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
		"You didn't provide a registration code.  Please go back and enter a registration code to continue.</TD></TR></TABLE>";
	} 
	else if(Request.Form("servercode").Count == 0 || Request.Form("servercode") == "")
	{
		title = "ERROR!";
		banner = "No Domain Entered";
		message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
		"You didn't select a domain.  Please go back and select a domain to continue.</TD></TR></TABLE>";
	} 
	else 
	{
		var wc = Server.CreateObject("WiKID.wClient");
		var ret = wc.Init("C:\\temp\\localhost.p12", "kilroy", "wva1.wikidsystems.com", 8388);
		if (ret == 0)
		{
			ret = wc.RegisterDevice(Request.Form("username"), Request.Form("regcode"), Request.Form("servercode"));
			if (ret == 0) 
			{
				title = "Registration Complete!";
				banner = "Congratulations!";
				message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
				"You've completed the WiKID Authentication registration procedure.  You've just saved us $15.  Your wireless device is now associated with"+
				" your user name for this domain.  You can now request time-bounded, single-use passwords to access any service"+
				" in this domain.  To use the system:<ul><li>Launch the 'WiKID Authentication' application on your mobile device"+
				"<li>Select the new domain from the Domain menu<li>Enter the PIN you established<li>Enter your user name and the "+
				"supplied Passcode</ul><p><center>That's it!  Click <a href=login.asp>here</a> to try it.</TD></TR></TABLE>";
			} 
			else if (ret == 1) 
			{
				title = "Registration Error";
				banner = "Registration Code Not Valid";
				message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
				"The registration code you entered could not be validated.  Please go back to the previous screen and double check"+
				" that you have correctly enterd the code displayed on your device.  Other possible problems are:<ul>"+
				"<li>You've registered your device in another domain<li>You've entered letters where the code contains zeros or ones "+
				"<li>Your code was not generated by a valid WiKID server for this domain</ul><p>If you feel you have recieved this"+
				"error for another reason, please contact us at <a href=Mailto:problems@WiKIDSystems.com>problems@WiKIDSystems.com</a>.</TD></TR></TABLE>";
			} 
			else if (resp == 4) 
			{
				title = "Registration Error";
				banner = "UserID Already Registered For This Domain";
				message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
				"The UserID you selected has already been registered in this domain.  You will need to select another UserID or ask the "+
				" system administrator to delete the pre-existing ID."+
				"<p>If you feel you have recieved this "+
				"error for another reason, please contact us at <a href=Mailto:problems@WiKIDSystems.com>problems@WiKIDSystems.com</a>.</TD></TR></TABLE>";
			} 
			else 
			{
				title = "Unknown Registration Error!";
				banner = "Oops!";
				message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
				"You've generated an unexpected error!  Please drop us an email at <a href=Mailto:problems@WiKIDSystems.com>problems@WiKIDSystems.com</a>"+
				" and let us know how you did it!  Thanks."+
				"</TD></TR></TABLE>";

				diag = "RegisterDevice Failed, returned " + ret + "<BR><BR>"+
					   "Username = " + Request.Form("username") + "<BR>"+
					   "Regcode = " + Request.Form("regcode") + "<BR>"+
					   "Servercode = " + Request.Form("servercode") + "<BR>";
			}		
		} 
		else 
		{
			title = "Unknown Registration Error!";
			banner = "Oops!";
			message="<table width='100%' border='0' cellspacing='0' cellpadding='0' valign='TOP'><TR><TD VALIGN='BOTTOM'>"+
			"You've generated an unexpected error!  Please drop us an email at <a href=Mailto:problems@WiKIDSystems.com>problems@WiKIDSystems.com</a>"+
			" and let us know how you did it!  Thanks."+
			"</TD></TR></TABLE>";

			diag = "Init Failed, returned " + ret + "<BR><BR>"+
				   "Username = " + Request.Form("username") + "<BR>"+
				   "Regcode = " + Request.Form("regcode") + "<BR>"+
				   "Servercode = " + Request.Form("servercode") + "<BR>";
		}
	}
%>

<HTML>
<HEAD>
<TITLE><%= title %></TITLE>

<link rel="stylesheet" href="style.css" TYPE="text/css">

</HEAD>

<body class="f2" bgcolor="#CCCCCC" topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>

<table width="100%" cellpadding=0 cellspacing=0 border=0>
    <tr>
        <td valign=middle align=center>
            <table width=641 cellpadding=0 cellspacing=0 border=0>
                <tr>
                    <td colspan=2 align=left align="top">
					<br><br>
					<table width="100%" cellpadding=0 cellspacing=0 border=0>
					<tr valign="middle">
					<td align="left"><img src="images/logo.gif"></td>
					<td align="LEFT"><img src="images/header.jpg" height=58></td>
					<td align="right"></td>
					</tr></table>
					<br>
					</td></tr>
                <tr>
                    <td width=13 nowrap bgcolor="cc0000">
                    </td>
                    <td width=628 nowrap bgcolor="#ffffff">
                  <table width="100%" border="0" cellspacing="0" cellpadding="10" bgcolor="#FFFFFF">
				  <tr>
				<tr><td colspan="2" align="LEFT" valign="TOP">
				<h2><%= banner %></h2>
				</td></tr>
				<tr><td>
			
<%= message %>

<table width="100%" border="0" cellspacing="0" cellpadding="0" valign="TOP">
	<TR>
	<TD COLSPAN="5"><BR><BR></TD>
	</TR>
	<TR>
	<TD  VALIGN=top ALIGN="CENTER" COLSPAN="5">
	<TABLE BGCOLOR="#666666" WIDTH="90%" border="0" cellpadding="1" cellspacing="0">
	<tr><td> 
        </td>
    </tr>
</table>

<%= diag %>
</BODY>
</HTML>
